Skip to main content
`Ctrl`+`K`

# MatCompositeAddMat

Add another matrix to a composite matrix.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCompositeAddMat(Mat mat, Mat smat)

Collective

## Input Parameters

- mat - the composite matrix

- smat - the partial matrix

## See Also

Matrices, `Mat`, `MatCreateComposite()`, `MatCompositeGetMat()`, `MATCOMPOSITE`

## Level

advanced

## Location

src/mat/impls/composite/mcomposite.c

## Implementations

MatCompositeAddMat_Composite() in src/mat/impls/composite/mcomposite.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages